Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 560520 - Request for ruby-gnome2 3.02 update for stable Gnome 3.16
Summary: Request for ruby-gnome2 3.02 update for stable Gnome 3.16
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Ruby Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-09-15 09:48 UTC by Stefan Salewski
Modified: 2015-10-11 13:52 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Salewski 2015-09-15 09:48:46 UTC
Some days ago my box emerges stable gnome 3.16.
Unfortunately now my ruby-gnome2 application (http://ssalewski.de/PetEd.html.en) generates gc related random crashes again. (current ruby-gnome2-2.2.5 was working OK with Ruby 2.2 and Gnome 3.14.)

Update from current ruby-gnome2-2.2.5 to 3.0.2 seems to be not trivial, did a try by just renaming ebuilds yesterday, but compile fails at gtksourceview.

The problem is, that I can not debug the crashes myself, and asking upstream makes not much sense, when I am not running the latest ruby-gnome2.

So a Gentoo update would be really great.
Comment 1 Hans de Graaff gentoo-dev 2015-09-16 05:35:22 UTC
I had a look at this a few days ago, but both 3.0.1 and 3.0.2 had issues with their tests, resulting in failed tests or even segmentation faults. I did not even get to gtksourceview. Given our current workload my strategy is to wait for new upstream releases.
Comment 2 Stefan Salewski 2015-09-16 10:01:57 UTC
Thanks.

Of course my hope was that 3.0.2 would work perfectly ;-)

Yesterday I recompiled all the 2.2.5 packages and after that got only one crash for 10 minutes of testing, that is not so bad.

Indeed my long time goal is to port my application to Nim, I did already all the necessary wrapper/bindings for GTK 3.15.xx. But porting the application is some work, Nim code generally is more similar to Python than to Ruby. (Porting to Crystal instead would be also an option, they have started working on a introspection based GTK3 wrapper.) But in the next months I will finish the Ruby version, maybe I find a way to avoid the crashes, or maybe I can try the gems install.

Best regards,
Stefan Salewski
Comment 3 Hans de Graaff gentoo-dev 2015-10-11 13:52:41 UTC
ruby-gnome2 3.0.7 has been added to the gentoo repository.